RelayAPI

Update short link configuration

Create or update the organization's short link configuration. Set mode, provider, and credentials.

PUT
/v1/short-links/config
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.relayapi.dev/v1/short-links/config" \  -H "Content-Type: application/json" \  -d '{    "mode": "always"  }'
{
  "id": "string",
  "mode": "always",
  "provider": "relayapi",
  "has_api_key": true,
  "domain": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo